%define perl_vendorlib %(eval "`%{__perl} -V:installvendorlib`"; echo $installvendorlib)
%define perl_vendorarch %(eval "`%{__perl} -V:installvendorarch`"; echo $installvendorarch)

%define real_name Net-Domain-ExpireDate

Summary: Obtain expiration date of domain names
Name: perl-Net-Domain-ExpireDate
Version: 1.15.2
Release: 1%{?dist}
License: Artistic/GPL
Group: Applications/CPAN
URL: http://search.cpan.org/dist/Net-Domain-ExpireDate/

# Packager: Dries Verachtert <dries@ulyssis.org>
# Vendor: Dag Apt Repository, http://dag.wieers.com/apt/

Source: http://www.cpan.org/modules/by-module/Net/Net-Domain-ExpireDate-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

BuildArch: noarch
BuildRequires: perl
#BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Getopt::Long) >= 2
BuildRequires: perl(Module::Build)
BuildRequires: perl(Net::Whois::Raw) >= 1
BuildRequires: perl(Time::Piece) 


%description
Obtain expiration date of domain names.

%prep
# temporarily override because 1.15.1 is in dir 1.15
# %%setup -n %{real_name}-%{version}
%setup -n %{real_name}-1.15

%build
%{__perl} Build.PL --installdirs vendor --destdir %{buildroot}
./Build

%install
%{__rm} -rf %{buildroot}
./Build pure_install

### Clean up buildroot
find %{buildroot} -name .packlist -exec %{__rm} {} \;

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-, root, root, 0755)
%doc Changes MANIFEST META.yml README
%doc %{_mandir}/man3/Net::Domain::ExpireDate.3pm*
%dir %{perl_vendorlib}/Net/
%dir %{perl_vendorlib}/Net/Domain/
#%{perl_vendorlib}/Net/Domain/ExpireDate/
%{perl_vendorlib}/Net/Domain/ExpireDate.pm

%changelog
* Sun Jun 26 2016 J. Randall Owens <jrowens@ghiapet.net> - 1.15.2-1
- update to version 1.15.2

* Wed Dec 31 2014 J. Randall Owens <jrowens@ghiapet.net> - 1.15.1-1
- Updated to version 1.15.1

* Mon Jun  2 2014 J. Randall Owens <jrowens@rs4.ghiapet.net> - 1.15-1
- Update to version 1.15

* Tue Mar 25 2014 J. Randall Owens <jrowens@rs4.ghiapet.net> - 1.13-1
- Update to version 1.13

* Tue Mar  4 2014 J. Randall Owens <jrowens@rs3.ghiapet.net> - 1.12-1
- Updated to version 1.12

* Wed Mar 20 2013 J. Randall Owens <jrowens@rs3.ghiapet.net> - 1.11-1
- Updated to version 1.11

* Fri Feb  1 2013 J. Randall Owens <jrowens@rs3.ghiapet.net> - 1.10-1
- Updated to version 1.10

* Mon Mar 26 2012 J. Randall Owens <jrowens@ghiapet.net> - 1.02-1
- update to version 1.02

* Tue Jul  5 2011 J. Randall Owens <jrowens@ghiapet.net> - 1.01-1
- update to 1.01

* Thu Jul 30 2009 Christoph Maser <cmr@financial.com> - 0.96-1 - 7566/cmr
- Updated to version 0.96.

* Sat Jul  4 2009 Christoph Maser <cmr@financial.com> - 0.95-1
- Updated to version 0.95.

* Wed May 14 2008 Dag Wieers <dag@wieers.com> - 0.90-1
- Updated to release 0.90.

* Thu Nov 15 2007 Dag Wieers <dag@wieers.com> - 0.80-1
- Updated to release 0.80.

* Sun Nov 19 2006 Dries Verachtert <dries@ulyssis.org> - 0.40-1
- Initial package.
